%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for TagLib to read and write music files tags
Name: python-tag
Version: 0.91
Release: 3%{?dist}
License: BSD
Group: Development/Languages
URL: http://news.tiker.net/software/tagpy
Source0: http://news.tiker.net/news.tiker.net/download/software/tagpy/tagpy-%{version}.tar.gz
Source1: tagpy-LICENSE
Patch0: tagpy-0.91-baz.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildRequires: taglib-devel
BuildRequires: boost-devel

%description
TagPy is a Python crust (or a set of Python bindings) for TagLib, which allows
to read and write ID3 tags of version 1 and 2, access Xiph Comments in Ogg
Vorbis Files and Ogg Flac Files and access APE tags in Musepack and MP3 files.


%prep
%setup -q -n tagpy-%{version}
%patch0 -p1 -b .baz
%{__install} -p -m 0644 %{SOURCE1} LICENSE


%build
CFLAGS="%{optflags}" %{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE README test/*.py test/tagrename
%{python_sitearch}/tagpy/
%{python_sitearch}/_tagpy.so


%changelog
* Fri May 11 2007 Matthias Saou <http://freshrpms.net/> 0.91-3
- Actually include LICENSE file.

* Thu May 10 2007 Matthias Saou <http://freshrpms.net/> 0.91-2
- Include BSD license text, copied from the debian package (Debian #417372).
- Include minor patch for upstream 0.92 backports.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 0.91-1
- Initial RPM release.

